Subject: Advice on package naming (was: [PATCH 0/5] Add pEp (pretty Easy privacy))

From: Hartmut Goebel <[email-masked]>
Date: Mon, 8 Jun 2020 18:06:55 +0200

Hi Guix,

I'm still seeking advice on how to name these packages, since the
original packages have
quiet uncommon names. Shall I keep the names I'm currently using, or are
there any other suggestions?

Current names:

pep-engine
libpepadapter.
python-pep-adapter
java-pep-adapter

Am 23.05.20 um 20:48 schrieb Hartmut Goebel:
> How shall we name the packages here?
> I'd appreciate feedback to the package names, since the original packages have
> quiet uncommon names:
>
> - pEpEngine -> pep-engine (main library)
> - libpEpAdapter -> intermediate layer library
> - pEpPythonAdapter -> python-pep-adapter
> - pEpJNIAdapter -> java-pep-adapter
>
> The project as other packages like these:
> - pEpQtAdapter
> - pEpJSONServerAdapter
> - pEpObjCAdapter
>
> In Arch Linux AUR packages are named pep-engine, libpep-adapter,
> python-pep-adapter, pep-jni-adapter, pep-qt-adapter.

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |